## python-uritools 4.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/uritools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/uritools.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/uritools"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/uritools"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-uritools 1.0.1

=== debian/changelog ===
python-uritools (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #794151)

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Thu, 30 Jul 2015 23:00:05 +0200

=== debian/control ===
Source: python-uritools
Section: python
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.7),
               python-ipaddress,
               python-setuptools,
               python-sphinx | python3-sphinx,
               python3-all (>= 3.2),
               python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://github.com/tkem/uritools
Vcs-Git: git://github.com/jodal/uritools.git
Vcs-Browser: https://github.com/jodal/uritools
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-uritools
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Description: RFC 3986 compliant replacement for urlparse (Python 2)
 This module defines RFC 3986 compliant replacements for the most commonly used
 functions of the Python 2.7 Standard Library urlparse and Python 3
 urllib.parse modules.
 .
 For various reasons, the Python 2 urlparse module is not compliant with
 current Internet standards, does not include Unicode support, and is generally
 unusable with proprietary URI schemes. Python 3's urllib.parse improves on
 Unicode support, but the other issues still remain.
 .
 This module aims to provide fully RFC 3986 compliant replacements for some
 commonly used functions found in urlparse and urllib.parse, plus additional
 functions for conveniently composing URIs from their individual components.

Package: python3-uritools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Description: RFC 3986 compliant replacement for urlparse (Python 3)
 This module defines RFC 3986 compliant replacements for the most commonly used
 functions of the Python 2.7 Standard Library urlparse and Python 3
 urllib.parse modules.
 .
 For various reasons, the Python 2 urlparse module is not compliant with
 current Internet standards, does not include Unicode support, and is generally
 unusable with proprietary URI schemes. Python 3's urllib.parse improves on
 Unicode support, but the other issues still remain.
 .
 This module aims to provide fully RFC 3986 compliant replacements for some
 commonly used functions found in urlparse and urllib.parse, plus additional
 functions for conveniently composing URIs from their individual components.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_installdocs:
	make -C docs/ clean html
	dh_installdocs

override_dh_auto_clean:
	dh_auto_clean
	make -C docs/ clean

## python-uritools 1.0.2

=== debian/changelog ===
python-uritools (1.0.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Stein Magnus Jodal ]
  * New upstream release
  * debian/control
    - Bump Standards-Version to 3.9.8, no changes required

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 09 Aug 2016 22:52:40 +0200

python-uritools (1.0.1-2) unstable; urgency=medium

  * debian/clean
    - Clean egg-info dir
  * debian/control
    - Set DPMT as maintainer, myself as uploader
    - Update Vcs-Git and Vcs-Browser to point to Alioth
    - Build-Depend on python{,3}-nose to run tests
  * debian/copyright
    - Update my email address
  * debian/rules
    - Run tests as part of build
    - Set PYBUILD_NAME (and remove *.install files)

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 06 Nov 2015 00:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: python-uritools
 Section: python
 Priority: optional
-Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Stein Magnus Jodal <jodal@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.7),
                python-ipaddress,
+               python-nose,
                python-setuptools,
                python-sphinx | python3-sphinx,
                python3-all (>= 3.2),
+               python3-nose,
                python3-setuptools,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/tkem/uritools
-Vcs-Git: git://github.com/jodal/uritools.git
-Vcs-Browser: https://github.com/jodal/uritools
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-uritools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-uritools.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export PYBUILD_DISABLE=test
+export PYBUILD_NAME=uritools
+export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
+export PYBUILD_TEST_NOSE=1
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/uritools/uritools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-uritools 2.1.0

=== debian/changelog ===
python-uritools (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Stein Magnus Jodal ]
  * New upstream release
  * debian/clean
    - Remove custom clean rules
  * debian/control
    - Require Python 3 >= 3.3
    - Require debhelper 10
    - Bump Standards-Version to 4.1.4, no changes required
    - Use python3-sphinx unconditionally
  * debian/copyright
    - Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 01 May 2018 23:15:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               python-all (>= 2.7),
+               python-all,
                python-ipaddress,
                python-nose,
                python-setuptools,
-               python-sphinx | python3-sphinx,
-               python3-all (>= 3.2),
+               python3-all,
                python3-nose,
                python3-setuptools,
-Standards-Version: 3.9.8
+               python3-sphinx,
+Standards-Version: 4.1.4
 Homepage: https://github.com/tkem/uritools
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-uritools.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-uritools.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-uritools.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-uritools
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 
 Package: python-uritools
 Architecture: all

## python-uritools 2.2.0

=== debian/changelog ===
python-uritools (2.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Stein Magnus Jodal ]
  * New upstream release
  * Test with pytest
  * debian/control
    - Bump Standards-Version to 4.3.0, no changes required
  * debian/copyright
    - Update copyright years
  * debian/rules
    - Explicitly use Python 3 to build docs

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 19 Feb 2019 00:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,23 @@
                dh-python,
                python-all,
                python-ipaddress,
-               python-nose,
+               python-pytest,
                python-setuptools,
                python3-all,
-               python3-nose,
+               python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/tkem/uritools
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-uritools.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-uritools
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 
 Package: python-uritools
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using},
 Description: RFC 3986 compliant replacement for urlparse (Python 2)
  This module defines RFC 3986 compliant replacements for the most commonly used
  functions of the Python 2.7 Standard Library urlparse and Python 3
@@ -44,6 +43,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using},
 Description: RFC 3986 compliant replacement for urlparse (Python 3)
  This module defines RFC 3986 compliant replacements for the most commonly used
  functions of the Python 2.7 Standard Library urlparse and Python 3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=uritools

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## python-uritools 3.0.0

=== debian/changelog ===
python-uritools (3.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 02 Dec 2020 22:24:31 +0100

python-uritools (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Stein Magnus Jodal ]
  * New upstream release
  * Drop Python 2 support (Closes: #938243)

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 25 Dec 2019 09:06:43 +0100

=== debian/control ===
Source: python-uritools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stein Magnus Jodal <jodal@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.5.0
Homepage: https://github.com/tkem/uritools
Vcs-Git: https://salsa.debian.org/python-team/packages/python-uritools.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uritools

Package: python3-uritools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Description: RFC 3986 compliant replacement for urlparse
 This module provides RFC 3986 compliant functions for parsing, classifying and
 composing URIs and URI references, largely replacing the Python Standard
 Library's urllib.parse module.
 .
 For various reasons, the Python 2 urlparse module is not compliant with
 current Internet standards, does not include Unicode support, and is generally
 unusable with proprietary URI schemes. Python 3's urllib.parse improves on
 Unicode support, but the other issues still remain.
 .
 This module aims to provide fully RFC 3986 compliant replacements for some
 commonly used functions found in urlparse and urllib.parse, plus additional
 functions for conveniently composing URIs from their individual components.

## python-uritools 3.0.2

=== debian/changelog ===
python-uritools (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.5.1.1
  * d/control: Bump debhelper-compat to 13
  * d/control: Set Rules-Requires-Root to no

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 30 Aug 2021 22:58:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1.1
+Rules-Requires-Root: no
 Homepage: https://github.com/tkem/uritools
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uritools.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uritools

## python-uritools 4.0.0

=== debian/changelog ===
python-uritools (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.6.1

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 May 2022 14:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.5.1.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/tkem/uritools
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uritools.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/uritools/uritools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-uritools 4.0.1

=== debian/changelog ===
python-uritools (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.6.2, no changes

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 18 Mar 2023 23:26:01 +0100

## python-uritools 4.0.3

=== debian/changelog ===
python-uritools (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 06 Jul 2024 23:09:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/tkem/uritools
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uritools.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=uritools

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

## python-uritools 6.0.1

=== debian/changelog ===
python-uritools (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1
  * Switch to pybuild-plugin-pyproject
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3
  * Add debian/salsa-ci.yml
  * Add myself as Uploader
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Feb 2026 16:09:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,31 @@
 Source: python-uritools
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Stein Magnus Jodal <jodal@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               python3-pytest,
-               python3-setuptools,
-               python3-sphinx,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Uploaders:
+ Stein Magnus Jodal <jodal@debian.org>,
+ Alexandre Detiste <tchet@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-pytest,
+ python3-setuptools,
+ python3-sphinx,
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.7.3
 Homepage: https://github.com/tkem/uritools
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-uritools.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-uritools
 
 Package: python3-uritools
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${sphinxdoc:Depends},
-Built-Using: ${sphinxdoc:Built-Using},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: RFC 3986 compliant replacement for urlparse
  This module provides RFC 3986 compliant functions for parsing, classifying and
  composing URIs and URI references, largely replacing the Python Standard

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=uritools
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/watch ===
Version: 5

Template: Pypi
Dist: uritools
